### Method

# Gtk Windowpresent

#### Declaration [src]

    void
    gtk_window_present (
      GtkWindow* window
    )

#### Description [src]

Presents a window to the user.

This may mean raising the window in the stacking order, unminimizing it, moving it to the current desktop and/or giving it the keyboard focus (possibly dependent on the user’s platform, window manager and preferences).

If `window` is hidden, this function also makes it visible.